@import url('https://fonts.googleapis.com/css2?family=Google+Sans+Code:ital,wght@0,300..800;1,300..800&display=swap');

*{
    font-family: "Google Sans Code", monospace;
    font-optical-sizing: auto;
    font-style: normal;
    font-weight: 100;
}

p{
    white-space: pre-wrap;
}

body{
    background-color: #222222;
    color: white;
}

#app{
    position: fixed;
    width: 750px;
    height: calc(100vh - 205px);
    left: calc(50vw - 275px);
    top: 50px;
    overflow-y: scroll;
}

::-webkit-scrollbar {
    display: none;
}

#chatbox{
    position: fixed;
    left: calc(50vw - 150px);
    bottom: 15px;
    width: 500px;
    height: 100px;
}

#chatbox textarea{
    resize: none;
    width: 100%;
    height: 100%;
    outline: none;
    border: 2px solid #333333;
    border-radius: 7px;
    padding: 5px;
    background-color: #222222;
    color: white;
    font-size: 16px;
}

#chatbox button{
    position: absolute;
    bottom: 5px;
    right: 5px;
    padding: 5px;
    cursor: pointer;
    background-color: #333333;
    color: white;
    font-weight: bolder;
    border: none;
    border-radius: 7px;
}

#loading{
    width: 100%;
    padding: 5px;
    text-align: center;
}

#sidebar{
    position: fixed;
    left: 0px;
    top: 0px;
    width: 200px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    background-color: #272727;
}

#sidebar *{
    margin: 5px;
}

#sidebar button{
    width: calc(100% - 10px);
    padding: 5px;
    background: none;
    color: white;
    cursor: pointer;
    border: none;
    border-radius: 7px;
    transition: background 0.25s;
    text-align: left;
}

#sidebar button:hover{
    background-color: #333333;
}

#sidebar button:active{
    background: none;
}

#addmsg{
    position: fixed;
    right: 10px;
    bottom: 10px;
    background-color: #333333;
    border: none;
    border-radius: 7px;
    padding: 5px;
    color: white;
    cursor: pointer;
}